Bug 30572 - IOError on FTP install prevents successful install
IOError on FTP install prevents successful install
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-04 16:53 EST by Matt Domsch
Modified: 2007-04-18 12:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-19 23:50:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
install.log (8.69 KB, text/plain)
2001-03-04 18:02 EST, Matt Domsch
no flags Details

  None (edit)
Description Matt Domsch 2001-03-04 16:53:39 EST
I'm getting this error, repeated over and over on VT3, while trying to do 
an FTP install of Florence RC2 from ftp.beta.redhat.com.  This occurs mid-
way through package installation, many packages have already been 
installed and things are proceeding smoothly.

IOError ftp error occurred getting ftp://beta:(password)
@ftp.beta.redhat.com/pub/florence/linux/rc2/i386//RedHat/RPMS/(package)
(110, 'Connection timed out')

The (package) in this case was gnochess, but I don't think it matters.

It can't manage to continue installing packages.  My believe is that the 
control connection for the FTP session has closed down for some reason, 
but the installer doesn't open a new control session to continue.

This was installing via my home cable modem, so speed should not have been 
an issue.
Comment 1 Matt Domsch 2001-03-04 18:01:49 EST
It just failed for me a second time.  The same package failed, gnuchess.
VT4 shows:

<7> Undo loss 63.240.14.50/21 c2 l0 ss2/2 p0

VT2 shows the same as before.
Comment 2 Matt Domsch 2001-03-04 18:02:15 EST
Created attachment 11742 [details]
install.log
Comment 3 Michael Fulbright 2001-03-05 15:31:48 EST
Have you successfully done FTP installs of the previous betas?
Comment 4 Matt Domsch 2001-03-05 15:56:29 EST
I hadn't tried previous betas coming from ftp.beta.redhat.com.
I've done FTP installs from a local FTP server with all 3 betas and both release
candidates, all with no issues.  It looks like the FTP control connection times
out, and can't get restarted.  I'm installing via a cable modem at home:

traceroute to ftp.beta.redhat.com (63.240.14.50), 30 hops max, 38 byte packets
 1  24.93.59.1 (24.93.59.1)  83.518 ms  77.501 ms  59.555 ms
 2  roundrock7507fas0-1-0.33.93.24.in-addr.arpa (24.93.33.105)  72.425 ms 
149.866 ms  113.100 ms
 3  24.28.95.97 (24.28.95.97)  113.401 ms  105.356 ms  106.619 ms
 4  12.124.219.9 (12.124.219.9)  71.302 ms  83.670 ms  75.547 ms
 5  gbr1-p70.auttx.ip.att.net (12.123.133.22)  107.893 ms  92.050 ms  86.916 ms
 6  gbr4-p10.dlstx.ip.att.net (12.122.2.109)  110.021 ms  94.126 ms  124.578 ms
 7  gbr3-p60.dlstx.ip.att.net (12.122.1.137)  108.808 ms  79.209 ms  75.960 ms
 8  gbr4-p20.attga.ip.att.net (12.122.2.90)  104.326 ms  93.570 ms  91.310 ms
 9  gbr4-p10.wswdc.ip.att.net (12.122.2.162)  95.716 ms  120.993 ms  88.895 ms
10  gbr3-p60.wswdc.ip.att.net (12.122.1.129)  98.477 ms  126.770 ms  78.156 ms
11  gbr3-p80.n54ny.ip.att.net (12.122.2.165)  100.248 ms  154.234 ms  82.432 ms
12  12.122.255.214 (12.122.255.214)  72.997 ms  97.065 ms  93.064 ms
13  gig3-0.mdf16-gsr12-1.nyc2.attens.net (63.240.0.253)  109.291 ms  84.539 ms 
101.973 ms
14  gig1-1.mdf18-bi4k-1.nyc2.attens.net (63.240.0.226)  88.441 ms  94.698 ms 
94.361 ms
15  * * *

I'll try an FTP install on a machine inside Dell from ftp.beta.redhat.com and
see if I get the same results:

traceroute to ftp.beta.redhat.com (63.240.14.50), 30 hops max, 38 byte packets
 1  143.166.132.2 (143.166.132.2)  2.188 ms  0.734 ms  0.684 ms
 2  10.30.251.1 (10.30.251.1)  0.786 ms  0.615 ms  0.718 ms
 3  dell-fw1.us.dell.com (143.166.82.250)  0.765 ms *  1.157 ms
 4  dell-gw3.us.dell.com (10.180.81.1)  3.848 ms  1.316 ms  1.174 ms
 5  sl-gw35-fw-6-0-TS8.sprintlink.net (144.228.203.37)  7.023 ms  16.117 ms 
7.952 ms
 6  sl-bb20-fw-4-0.sprintlink.net (144.232.11.233)  8.015 ms  7.610 ms  11.479
ms
 7  sl-bb21-ana-8-0.sprintlink.net (144.232.8.98)  31.459 ms  30.807 ms  31.487
ms
 8  sl-bb22-ana-15-0.sprintlink.net (144.232.1.174)  32.021 ms  32.764 ms 
31.012 ms
 9  sprint-gw.la2ca.ip.att.net (192.205.32.185)  39.872 ms  38.363 ms  38.541
ms10  gbr3-p50.la2ca.ip.att.net (12.123.28.130)  39.171 ms  38.054 ms  39.738 ms
11  gbr4-p90.sffca.ip.att.net (12.122.2.170)  47.767 ms  47.159 ms  47.563 ms
12  gbr3-p60.sffca.ip.att.net (12.122.1.133)  48.216 ms  49.435 ms  47.576 ms
13  gbr3-p20.cgcil.ip.att.net (12.122.2.154)  54.782 ms  57.644 ms  53.424 ms
14  gbr3-p10.n54ny.ip.att.net (12.122.2.1)  71.612 ms  70.500 ms  72.563 ms
15  12.122.255.214 (12.122.255.214)  70.976 ms  71.296 ms  80.046 ms
16  gig1-1.mdf18-bi4k-2.nyc2.attens.net (63.240.0.222)  78.020 ms  71.889 ms 
77.535 ms
17  gig1-1.mdf18-bi4k-1.nyc2.attens.net (63.240.0.226)  72.027 ms  68.839 ms 
70.129 ms
18  *
Comment 5 Matt Domsch 2001-03-05 17:35:22 EST
The same error just occurred downloading onto a system from within Dell, from 
ftp.beta.redhat.com.  This time it failed downloading package Mesa-3.4-9.  
Identical messages on VT2 and VT4 to those above.
Comment 6 Michael Fulbright 2001-03-20 12:29:16 EST
What ethernet card(s) were being used. Certainly looks like a kernel driver issue.
Comment 7 Matt Domsch 2001-03-20 15:30:06 EST
All test cases have used the eepro100 driver.
Comment 8 Matt Domsch 2001-03-20 17:03:01 EST
Still fails with qa0319 coming off of ftp.beta.redhat.com.
Comment 9 Michael Fulbright 2001-03-21 16:42:23 EST
Matt could you help matt?
Comment 10 Michael Fulbright 2001-04-02 11:14:52 EDT
Any success with later trees?

This really sounds like a network issue between your machine and the server you
are using, as we have no other reports of issues with FTP installs.
Comment 11 Brent Fox 2001-04-19 23:50:52 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.